For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profiles

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
siteKeystringRequired
Query parameters
limitnumber · nullableOptional
pagenumber · nullableOptional
orderBystringOptional
dirstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
tagsany ofOptional
stringOptional
or
string[]Optional
querystring · nullableOptional
Responses
200

Retrieve a list of Profiles

application/json
countnumberOptionalDefault: 0
get/api/v2/{siteKey}/public/profiles
GET /api/v2/{siteKey}/public/profiles HTTP/1.1
Host: app.venuecms.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Retrieve a list of Profiles

{
  "records": [
    {
      "siteId": "text",
      "slug": "text",
      "tags": [
        {
          "tagId": "text",
          "tag": {
            "id": "text",
            "siteId": "text",
            "title": "text",
            "parentTags": [
              {
                "tagId": "text",
                "parentTagId": "text",
                "createdAt": "text",
                "parentTag": {
                  "id": "text",
                  "siteId": "text",
                  "title": "text"
                }
              }
            ]
          }
        }
      ],
      "image": {
        "id": "text",
        "siteId": "text",
        "uploaded": true,
        "inline": true,
        "url": "text",
        "mimeType": "text",
        "size": "text",
        "width": 1,
        "height": 1,
        "duration": 1,
        "metadata": {},
        "title": "text",
        "caption": "text",
        "credit": "text",
        "altText": "text"
      },
      "localizedContent": [
        {
          "siteId": "text",
          "locale": "text",
          "title": "text",
          "content": "text",
          "shortContent": "text",
          "extraContent": "text",
          "excerpt": "text",
          "metaTitle": "text",
          "metaDescription": "text",
          "keywords": "text",
          "contentJSON": {}
        }
      ],
      "custom": [
        {
          "data": null,
          "customSchemaId": "text"
        }
      ]
    }
  ],
  "count": 0
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
siteKeystringRequired
slugstringRequired
Responses
200

Retrieve a Profile

application/json
siteIdstringRequired
slugstringRequired
get/api/v2/{siteKey}/public/profiles/{slug}
GET /api/v2/{siteKey}/public/profiles/{slug} HTTP/1.1
Host: app.venuecms.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "siteId": "text",
  "slug": "text",
  "tags": [
    {
      "tagId": "text",
      "tag": {
        "id": "text",
        "siteId": "text",
        "title": "text",
        "parentTags": [
          {
            "tagId": "text",
            "parentTagId": "text",
            "createdAt": "text",
            "parentTag": {
              "id": "text",
              "siteId": "text",
              "title": "text"
            }
          }
        ]
      }
    }
  ],
  "image": {
    "id": "text",
    "siteId": "text",
    "uploaded": true,
    "inline": true,
    "url": "text",
    "mimeType": "text",
    "size": "text",
    "width": 1,
    "height": 1,
    "duration": 1,
    "metadata": {},
    "title": "text",
    "caption": "text",
    "credit": "text",
    "altText": "text"
  },
  "localizedContent": [
    {
      "siteId": "text",
      "locale": "text",
      "title": "text",
      "content": "text",
      "shortContent": "text",
      "extraContent": "text",
      "excerpt": "text",
      "metaTitle": "text",
      "metaDescription": "text",
      "keywords": "text",
      "contentJSON": {}
    }
  ],
  "custom": [
    {
      "data": null,
      "customSchemaId": "text"
    }
  ]
}